<?php

namespace AutoAdmin\Bundle\Content\Model;

interface StatePublishableInterface
{
    public function isPublishable(): bool;

    public function setPublishable(?string $publishableState);

    public function setState($state);

    public function getState(): string;
}